From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxemoji/
Date: Tue, 6 Feb 2024 13:02:22 +0000 (UTC) [thread overview]
Message-ID: <1707224540.7f00e4c9ed72226a0ec75d25108f2bf77b337ef0.mgorny@gentoo> (raw)
commit: 7f00e4c9ed72226a0ec75d25108f2bf77b337ef0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 6 12:50:10 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 6 13:02:20 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f00e4c9
dev-python/sphinxemoji: Bump to 0.3.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/sphinxemoji/Manifest | 1 +
dev-python/sphinxemoji/sphinxemoji-0.3.1.ebuild | 35 +++++++++++++++++++++++++
2 files changed, 36 insertions(+)
diff --git a/dev-python/sphinxemoji/Manifest b/dev-python/sphinxemoji/Manifest
index b56e6a067b7c..9985c8473562 100644
--- a/dev-python/sphinxemoji/Manifest
+++ b/dev-python/sphinxemoji/Manifest
@@ -1 +1,2 @@
+DIST emojicodes-0.3.1.gh.tar.gz 47298 BLAKE2B 95dc98f737d66005e101955d9da8e4a1509fbf780316a9be8050f086c4d951144de6fa016fbf7215b48e1f4f0155c11001ccc689f4537cf93bda9d4c61d3340a SHA512 1253845bd6a9ffc53a9a649a795b29fab8980f2020e86802479f886b819e8b345f94e6c1fc5f4597c5096cd3fb8bdf31389c7ba02839d7fc145d43ce914e235e
DIST sphinxemoji-0.2.0.tar.gz 44431 BLAKE2B 18c9a7b4c97bc6081216cac98cecf41fef0bfc90122bd24f7d11d96f5db71437ee4e80675464fcaf9bc4c6e89c2511392600e043d4fb1904cfc57ce4efbed824 SHA512 974fcfad13f326265c679a3c97fd251b0348499fc9a72b65547b2548ddb2eb895a96f71d4b212f619287ac7c759df22fbb66f1a8cfa160287f8b25878c0f0515
diff --git a/dev-python/sphinxemoji/sphinxemoji-0.3.1.ebuild b/dev-python/sphinxemoji/sphinxemoji-0.3.1.ebuild
new file mode 100644
index 000000000000..accb0a0592a8
--- /dev/null
+++ b/dev-python/sphinxemoji/sphinxemoji-0.3.1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=emojicodes-${PV}
+DESCRIPTION="Extension to use emoji codes in your Sphinx documentation"
+HOMEPAGE="
+ https://pypi.org/project/sphinxemoji/
+ https://github.com/sphinx-contrib/emojicodes/
+"
+SRC_URI="
+ https://github.com/sphinx-contrib/emojicodes/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/sphinx-5.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ local HTML_DOCS=()
+ build_sphinx docs/source
+ rm -r docs/source/_build || die
+}
next reply other threads:[~2024-02-06 13:02 UTC|newest]
Thread overview: 21+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-02-06 13:02 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-02-24 10:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxemoji/ Michał Górny
2024-02-24 10:22 Michał Górny
2022-07-29 16:37 Arthur Zamarin
2022-03-12 10:50 Arthur Zamarin
2022-03-06 23:46 Sam James
2022-03-06 7:57 Sam James
2022-02-27 16:38 Sam James
2022-02-27 12:29 Jakov Smolić
2022-02-27 12:23 Jakov Smolić
2022-02-09 14:18 Yixun Lan
2022-02-07 22:29 Sam James
2022-02-07 20:14 Arthur Zamarin
2022-02-07 11:36 Sam James
2022-02-07 11:32 Sam James
2022-02-07 11:31 Sam James
2022-02-07 11:30 Sam James
2022-02-07 11:18 Sam James
2022-02-07 9:35 Sam James
2022-02-07 8:33 Sam James
2022-01-23 18:50 Arthur Zamarin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1707224540.7f00e4c9ed72226a0ec75d25108f2bf77b337ef0.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox